
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于通过jquery来理解position的relative及absolute / 憋错料</title>

    <meta name="description" content="关于通过jquery来理解position的relative及absolute 一个多月前刚刚开始系统接触Javascript/css/html的时候一直对position属性的relative及absolute不是很了解.今天在接触jquery中无意间发现通过slideToggle() 的滑动效果可以更加方便清楚的了解position属性的含义.下面是代码. &lt;!DOCTYPE html&gt;&lt;html&gt;&lt;head&gt;&lt;script src=&quot;http://libs.baidu.com/jquery/1.10.2/jquery ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">关于通过jquery来理解position的relative及absolute</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一个多月前刚刚开始系统接触Javascript/css/html的时候一直对position属性的relative及absolute不是很了解。今天在接触jquery中无意间发现通过slideToggle（）</p>
<p>的滑动效果可以更加方便清楚的了解position属性的含义。下面是代码。</p>
<p>&lt;!DOCTYPE html&gt;<br />&lt;html&gt;<br />&lt;head&gt;<br />&lt;script src="http://libs.baidu.com/jquery/1.10.2/jquery.min.js"&gt;<br />&lt;/script&gt;<br />&lt;script&gt; <br />$(document).ready(function(){<br />  $("#flip").click(function(){<br />    $("#panel").slideToggle("slow");<br />  });<br />});<br />&lt;/script&gt;</p>
<p>&lt;style type="text/css"&gt; <br />#panel,#flip<br />{<br />padding:5px;<br />text-align:center;<br />background-color:#e5eecc;<br />border:solid 1px #c3c3c3;<br />position:relative;<br />left:200px;<br />top:100px;<br />}<br />#panel<br />{<br />padding:50px;<br />display:none;<br />}<br />&lt;/style&gt;<br />&lt;/head&gt;<br />&lt;body&gt;</p>
<p>&lt;div id="flip"&gt;Click to slide the panel down or up&lt;/div&gt;<br />&lt;div id="panel"&gt;Hello world!&lt;/div&gt;</p>
<p>&lt;/body&gt;<br />&lt;/html&gt;</p>
<p>可以注意到这里我写的代码是用了relative，这样才可以实现slideToggle应该有的滑出滑进效果，但如果把position改为absolute，就不能实现可见的滑动滑出效果。</p>
<p>我是这样理解的，当position为绝对时，两个div的位置被固定在一起，于是根本看不出滑动的效果，而属性定为相对，则可以实现滑动滑出的效果。</p>
<p>不知道我说的对不对，有没有大神可以来帮我肯定一下？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 06:44:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>关于通过jquery来理解position的relative及absolute的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/V02gjE3.html" rel="bookmark">布局模型 之 层模型（position的relative、absolute与fixed区别？）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css的布局模型分为流动模型(Flow).浮动模型(Float).层模型(Layer). 浮动模型(Float)和层模型(Layer)有什么显著区别?     浮动模型(Float):浮动是让某元素脱离文档流的限制,在浮动框之前和之后的非定位元素会当它不存在一样,可能沿着它的另一侧垂直流动:浮动的元素仍然会占据文档流的物理空间.关于浮动模型的详细说明请看另一篇文章的介绍.http://ycgit.blog.51cto.com/8590215/1958452 层模型(Layer):设置为层模型的元			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xWD8NM.html" rel="bookmark">position的relative 和 absolute 的区别个人见解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				position:relative是相对原来的位置相对移动,absolute 是相对于父元素的位子移动,这里面我个人对position:relative不是很熟悉所以只是截了这个图,有什么说得不对请指正			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41y2Lq4.html" rel="bookmark">position的relative和absolute属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在对界面布局时,往往需要用到position属性.在W3C中,对position的定义是:规定元素的定位类型. 顾名思义,absolute代表绝对定位.在查阅了相关资料后,发现absolute定位是相对于其包含块(containing block)绝对定位,而这个包含块不一定是父级元素.例如,当父级元素没有设定position属性,而父级以上的某个祖先元素设了position并且不是static(默认既是static),那么设定了absolute的子元素即以此为包含块.也就是说,一个元素的包含块			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0knBYbM.html" rel="bookmark">彻底理解position与anchorPoint</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 相信初接触到CALayer的人都会遇到以下几个问题: 为什么修改anchorPoint会移动layer的位置? CALayer的position点是哪一点呢? anchorPoint与position有什么关系? 我也迷惑过,找过网上的教程,大部分都是复制粘贴的,有些是翻译的文章但很有问题,看得似懂非懂,还是自己写代码彻底弄懂了,做点笔记吧. 每一个UIView内部都默认关联着一个CALayer, UIView有frame.bounds和center三个属性,CALayer也有类似的属性,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ey5QJ0.html" rel="bookmark">css position&colon; relative，absolute详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于CSS中 position在布局中非常重要,查了很多资料都说的很难理解,下面说说个人的理解: 语法: position: relative | absolute relative: 对象遵循常规流,并且参照自身在常规流中的位置通过top,right,bottom,left属性进行偏移时不影响常规流中的任何元素. absolute: 对象脱离常规流,使用top,right,bottom,left等属性进行绝对定位,盒子的偏移位置不影响常规流中的任何元素,其margin不与其他任何margin折			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v16gj0.html" rel="bookmark">&lbrack;转载&rsqb;position的四个属性值： relative ，absolute ，fixed，static</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				position的四个属性值: relative ,absolute ,fixed,static  下面分别讲述这四个属性,以简单代码表示 &lt;div id=&quot;parent&quot;&gt;     &lt;div id=&quot;sub1&quot;&gt;sub1&lt;/id&gt;     &lt;div id=&quot;sub2&quot;&gt;sub2&lt;/id&gt;&lt;/div&gt; 1. relative relative属性相对比较简单,我们要搞清它是相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mgmr6p3.html" rel="bookmark">理解position 绝对定位和相对定位</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.position的三种取值 1.取值 Position :   static /  absolute / fixed / relative static:静态   absolute:绝对定位    fixed:固定   relative:相对定位 默认情况下:static             无特殊定位,对象遵循HTML定位规则 absolute : 将对象从文档流中抽出,使用left,right,top,bottom等属性进行绝对定位.而其层叠通过z-index属性定义.此时对象不具有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41Eryo4.html" rel="bookmark">position的四个属性值： relative ，absolute ，fixed，static</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				position的四个属性值: relative ,absolute ,fixed,static  下面分别讲述这四个属性,以简单代码表示 &lt;div id=&quot;parent&quot;&gt;     &lt;div id=&quot;sub1&quot;&gt;sub1&lt;/id&gt;     &lt;div id=&quot;sub2&quot;&gt;sub2&lt;/id&gt;&lt;/div&gt; 1. relative relative属性相对比较简单,我们要搞清它是相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pq92RM.html" rel="bookmark">彻底理解position与anchorPoint - Wonderffee&amp;&num;39&semi;s Blog（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 相信初接触到CALayer的人都会遇到以下几个问题: 为什么修改anchorPoint会移动layer的位置?CALayer的position点是哪一点呢?anchorPoint与position有什么关系? 我也迷惑过,找过网上的教程,大部分都是复制粘贴的,有些是翻译的文章但很有问题,看得似懂非懂,还是自己写代码彻底弄懂了,做点笔记吧. 每一个UIView内部都默认关联着一个CALayer, UIView有frame.bounds和center三个属性,CALayer也有类似的属性,分别			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3Zaxq0.html" rel="bookmark" class="title">Centos6&period;9如何安装vsftp</a>
					<div>
						查看系统环境 [[email protected]rsync_server ~]# cat /etc/redhat-release  CentOS release 6.9 (Final) [[emai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3Z1og0.html" rel="bookmark" class="title">导出数据为Excel文件---Controller</a>
					<div>
						@Controller @RequestMapping(&quot;/vehmileage&quot;) public class VehMileageController extends BaseC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0YwwN4.html" rel="bookmark" class="title">unicode下char&ast;和CString</a>
					<div>
						1.对话框打印char* char* info=&quot;&quot;; ::MessageBoxA(this-&gt;m_hWnd, info, &quot;&quot;, MB_OK); 2.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoJaB4.html" rel="bookmark" class="title">雨中行船</a>
					<div>
						吃过中饭,带着儿子我们去朝阳公园散步,从四环走,选择东门进. 第一次从东五号门进,这个门靠近沙排体育馆,奥运会的时候曾在此看过一场比赛,赛事结束后,这里显得十分冷清,加上今天阴冷的天气感觉有些萧条.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byYwkM.html" rel="bookmark" class="title">用 C&num; 代码如何实现让你的电脑关机，重启，注销，锁定，休眠，睡眠</a>
					<div>
						简介 本文讲述了用 C# 代码如何实现让你的电脑关机,重启,注销,锁定,休眠,睡眠. 如何实现 首先,使用 using 语句添加我们需要的命名空间: using System.Diagnostics; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38NAJRM.html" rel="bookmark" class="title">linux启动</a>
					<div>
						计算机启动后,BIOS会先进性POST自检(Power On Self Test ),自检通过后会将MBR主引导记录加载至内存,MBR会查找活动分区上的次引导加载程序GRUB至内存,GRUB根据用户选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47N8Ek3.html" rel="bookmark" class="title">PHP调试的时候出现了警告&colon;</a>
					<div>
						PHP调试的时候出现了警告: It is not safe to rely on the system解决方法,其实就是时区设置不正确造成的,本文提供了3种方法来解决这个问题. 实际上,从PHP 5. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AdONv3.html" rel="bookmark" class="title">磊厶普仍攘iduh6y1b1uv75db67</a>
					<div>
						http://t.cn/RUVy929?ALAAhttp://3188.la/article/?aid=5628edee63419857c46f999fhttp://t.cn/RUfy6YX?cznf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K26wYM.html" rel="bookmark" class="title">&lbrack;计算机基础&rsqb;URI与URL</a>
					<div>
						URI : uniform resource identifier统一资源标示符用于指定Web资源的字符串,它定义了Web资源中的各个不同的部分.ex:http://example.org/absol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZmxK0.html" rel="bookmark" class="title">英文邮件礼仪：向教授请教学术问题</a>
					<div>
						英文邮件礼仪:向教授请教学术问题 邮件主题 邮件主题(subject)不需要写自己的名字.名字是在邮件系统设置里设定好的,在发件时会替换显示实际地址,所以无需在主题里再写一遍. [关键内容是要在主题里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYbYkM.html" rel="bookmark" class="title">Livereload or meta</a>
					<div>
						静态页面布局的过程中,如果可以一边写一边看见结果,那肯定是很方便的,在最开始使用的DW中实现了这一目标,但并不是浏览器环境下.之后使用gulp中的livereload后配合chrome插件livere ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47D8K1M.html" rel="bookmark" class="title">jdb调试scala代码的简单介绍</a>
					<div>
						在linux调试C/C++的代码需要通过gdb,调试java代码呢?那就需要用到jdb工具了.关于jdb的用法在网上大家都可以找到相应的文章,但是对scala进行调试的就比较少了.其实调试的大致流程都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyK7ln3.html" rel="bookmark" class="title">实体生命周期（EF基础系列8）</a>
					<div>
						在我们进行增删查改操作之前,相当重要去理解实体的生命周期,它是怎么被EF操作的. 在实体的生命周期过程中,每个实体基于上下文的操作都会有一个实体状态,实体状态是一个枚举类型的值:System.Data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzLWy0.html" rel="bookmark" class="title">UVa11234 表达式</a>
					<div>
						题意:题目意思是给出后缀表达式,可以通过栈来计算表达式的值,即转化为中缀表达式.然后如果现在不用栈,而是用队列来操作,即每遇到一操作符时,进行两次pop和一次push.(这里注意,先pop出来的作为第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWVkkB4.html" rel="bookmark" class="title">最大子数组二</a>
					<div>
						一.实验思路:1.定义一个整型数组num[n],随机生成数组中元素的值2.把这个整形数组连成环,就是把这个数组中的每一个元素都当一次头,邻接的左元素做尾,遍历一次数组,找出每一个元数组的子数组最大和, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJZNa3.html" rel="bookmark" class="title">CSS的单位及css3的calc&lpar;&rpar;及line-height百分比</a>
					<div>
						锚点:css中百分比减去固定元素 单位介绍 说到css的单位,大家应该首先想到的是px,也就是像素,我们在网页布局中一般都是用px,但是近年来自适应网页布局越来越多,em和百分比也经常用到了.然后随着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ez8gp3.html" rel="bookmark" class="title">软件工程个人作业04</a>
					<div>
						设计思路: 1.遍历每一个运算符,即在运算的题目答案的时候,使得不出现负数和假分数(若出现就调换数的位置或者改变运算符) 2.添加括号的方法就是列举所有加括号可能的情况,然后在相应的位置输出括号和进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRqRV0.html" rel="bookmark" class="title">C&num;函数式编程之缓存技术</a>
					<div>
						缓存技术 该节我们将分成两部分来讲解,第一部分为预计算,第二部分则为缓存.缓存这个技术对应从事开发的人员来说是非常熟悉的,从页面缓存到数据库缓存无处不在,而其最重要的特点就是在第一次查询后将数据缓存, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLdXe4.html" rel="bookmark" class="title">最快的方法来清除Chrome浏览器DNS高速缓存</a>
					<div>
						最快的方法是直接数据url.那么不需要清除dns高速缓存. chrome://net-internals/#dns 一般步骤,要经过下列几项. Chrome - &gt; 扳手 - &gt; 选项 - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQkAD0.html" rel="bookmark" class="title">【HDU 5828】Rikka with Sequence（线段树）</a>
					<div>
						[HDU 5828]Rikka with Sequence(线段树) Rikka with Sequence Time Limit: 6000/3000 MS (Java/Others)    Mem ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
